# Generated by go2rpm
%bcond_without check

# https://github.com/cloudflare/cloudflare-go
%global goipath         github.com/cloudflare/cloudflare-go
Version:                0.9.1

%gometa

%global common_description %{expand:
A Go library for interacting with Cloudflare's API v4. This library allows you
to:

 - Manage and automate changes to your DNS records within Cloudflare
 - Manage and automate changes to your zones (domains) on Cloudflare, including
   adding new zones to your account
 - List and modify the status of WAF (Web Application Firewall) rules for your
   zones
 - Fetch Cloudflare's IP ranges for automating your firewall whitelisting

A command-line client, flarectl, is also available as part of this project.}

%global golicenses      LICENSE
%global godocs          CODE_OF_CONDUCT.md README.md

Name:           %{goname}
Release:        2%{?dist}
Summary:        Go library for the Cloudflare v4 API

# Upstream license specification: BSD-3-Clause
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/codegangsta/cli)
BuildRequires:  golang(github.com/olekukonko/tablewriter)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(golang.org/x/time/rate)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/stretchr/testify/assert)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%build
export GO111MODULE=off
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc CODE_OF_CONDUCT.md README.md cmd/flarectl/README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Thu May 02 17:58:44 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.9.1-2
- Update to new macros

* Tue Apr 30 2019 Carl George <carl@george.computer> - 0.9.1-1
- Latest upstream

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Nov 13 2018 Carl George <carl@george.computer> - 0.8.5-1
- Initial package
